Package com.enonic.xp.region

## Class Region

- java.lang.Object
- - com.enonic.xp.region.Region

-     @PublicApi
      public final class Region
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Region.Builder` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Region​(Region.Builder builder)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Region` | `copy()` |
    `static Region.Builder` | `create()` |
    `static Region.Builder` | `create​(Region source)` |
    `boolean` | `equals​(Object o)` |
    `Component` | `getComponent​(int index)` |
    `ImmutableList<Component>` | `getComponents()` |
    `int` | `getIndex​(Component component)` |
    `String` | `getName()` |
    `RegionPath` | `getRegionPath()` |
    `int` | `hashCode()` |
    `void` | `setParent​(LayoutComponent parent)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Region

          public Region​(Region.Builder builder)

  - ### Method Detail

    - #### create

          public static Region.Builder create()

    - #### create

          public static Region.Builder create​(Region source)

    - #### copy

          public Region copy()

    - #### getName

          public String getName()

    - #### setParent

          public void setParent​(LayoutComponent parent)

    - #### getIndex

          public int getIndex​(Component component)

    - #### getRegionPath

          public RegionPath getRegionPath()

    - #### getComponent

          public Component getComponent​(int index)

    - #### getComponents

          public ImmutableList<Component> getComponents()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`